"""Remove is_unflagged field from Conversations

Reason:
We no longer track conversations which have been unflagged, as we don't use the data.

Revision ID: 443af39e50e3
Revises: acd80348b093

"""
from alembic import op
import sqlalchemy as sa

import rasax.community.database.schema_migrations.alembic.utils as migration_utils

# revision identifiers, used by Alembic.
revision = "443af39e50e3"
down_revision = "acd80348b093"
branch_labels = None
depends_on = None


def upgrade():
    migration_utils.drop_column("conversation_event", "is_unflagged")


def downgrade():
    migration_utils.create_column(
        "conversation_event", sa.Column("is_unflagged", sa.Boolean(), nullable=False),
    )
